Package wx :: Package lib :: Package masked :: Module combobox :: Class ComboBox

[frames | no frames]

## Type ComboBox

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                object --+   |
                         |   |
             ItemContainer --+
                             |
                      ComboBox --+
                                 |
               MaskedEditMixin --+
                                 |
                BaseMaskedComboBox --+
                                     |
          MaskedEditAccessorsMixin --+
                                     |
                                    ComboBox

The "user-visible" masked combobox control, this class is identical to the BaseMaskedComboBox class it's derived from. (This extra level of inheritance allows us to add the generic set of masked edit parameters only to this class while allowing other classes to derive from the "base" masked combobox control, and provide a smaller set of valid accessor functions.) See BaseMaskedComboBox for available methods.

Method Summary

Property Summary

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:20 2007 | http://epydoc.sf.net